1. Advanced Editing
BeatAPI
  • Quick Start
  • BeatAPI Realtime Video API
  • Music Video API
    • Create Video
      • Create Music Video
    • Advanced Editing
      • Edit Shot
        POST
      • Get Shot Media
        POST
      • Compose Video
        POST
  • Ecommerce Video API
    • Create Ecommerce Video
  • Reference
    • API Overview
      • List launch workflows
    • Task Status
      • Poll task status
    • Usage & Limits
      • Get account usage and concurrency
    • Upload Files
      • Upload a file for workflow inputs
    • Webhooks
      • List webhook endpoints
      • Create a webhook endpoint
      • Get a webhook endpoint
      • Update a webhook endpoint
      • Delete a webhook endpoint
  • Realtime Video API
    • Create a realtime browser session
    • Get a realtime session
    • Close a realtime session
  1. Advanced Editing

Compose Video

POST
/v1/music-video/tasks/{task_id}/compose
Compose selected BeatAPI storyboard shots into the final Music Video.
This operation charges a fixed 1 BeatAPI customer credit.

Request

Authorization
Bearer Token
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
or
Path Params

Body Params application/jsonRequired

Examples

Responses

๐ŸŸข202
application/json
Compose accepted
Bodyapplication/json

๐ŸŸ 404
๐ŸŸ 400BadRequest
๐ŸŸ 401Unauthorized
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api.beatapi.io/v1/music-video/tasks/task_8K2qA/compose' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
    "shot_ids": [
        "shot_xxx",
        "shot_yyy"
    ]
}'
Response Response Example
202 - Example 1
{
    "data": {
        "id": "task_8K2qA",
        "object": "task",
        "workflow": "music-video",
        "status": "queued",
        "stage": "queued",
        "storyboard": {
            "shots": [
                {
                    "id": "shot_xxx",
                    "index": 0,
                    "status": "queued",
                    "duration_seconds": 5,
                    "prompt": "Opening lyric shot.",
                    "lyric_text": "Intro",
                    "media": {
                        "type": "video",
                        "url": "https://media.beatapi.io/outputs/task_8K2qA/shots/0.mp4",
                        "mime_type": "video/mp4"
                    },
                    "created_at": 1782210000,
                    "updated_at": 1782210300
                }
            ]
        },
        "created_at": 0,
        "updated_at": 0,
        "completed_at": 0,
        "output": null,
        "usage": {
            "credits_reserved": 0,
            "credits_charged": 0,
            "billable_duration_seconds": 0,
            "credits_settled": 0,
            "credits_refunded": 0
        },
        "request_id": "req_abc123",
        "error_code": "processing_timeout",
        "error_message": "string"
    }
}
Modified atย 2026-07-31 15:10:04
Previous
Get Shot Media
Next
Create Ecommerce Video
Built with